#!/bin/ksh
# stderr and stdour rediretcion already in calling script

if [ "$PERL" = "/opt/freeware/bin/perl" ]; then
  # Perl LWP module on AIX requires openssl from /usr/lib!!! It does not work with  /opt/freeware/lib one
  # It is a must for VMAX, PURE and others using https REST API
  export LIBPATH=/usr/lib:/opt/freeware/lib:$LIBPATH
fi


PROC=`ps -ef | egrep 'bnaperf.pl *'$BNA_IP' *$' | grep -v grep | wc -l|sed 's/ //g'`
if [ $PROC -eq 0 ]; then # only 1 process can run, it runs for the whole day
  $PERL -w $BINDIR/bnaperf.pl $BNA_IP 1>>$OUTLOG 2>>$ERRLOG_SAN
else
  date_act=`date "+%Y-%m-%d_%H:%M"`
  echo "$0: $date_act : bnaperf.pl for $BNA_IP is still running! bnaperf.pl, exiting" 
  echo "$0: $date_act : bnaperf.pl for $BNA_IP is still running! bnaperf.pl, exiting" >> $ERRLOG_SAN
fi
